| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
Gaudi::Utils::RegEx::matchList Class Reference

`#include <GaudiUtils/RegEx.h>`

Collaboration diagram for Gaudi::Utils::RegEx::matchList:
[legend]

## Public Member Functions
template<typename C >
| matchList (const C &c)
bool | Or (const std::string &test) const
bool | And (const std::string &test) const

## Private Attributes
std::vector< boost::regex > | m_regs

## Detailed Description

Definition at line 24 of file RegEx.h.

## Constructor & Destructor Documentation

## ◆ matchList()

template<typename C >

Gaudi::Utils::RegEx::matchList::matchList | ( | const C & | c | ) |
| inline

Definition at line 29 of file RegEx.h.

29 {
30 m_regs.reserve( c.size() );
31 std::transform( std::begin( c ), std::end( c ), std::back_inserter( m_regs ),
32 []( typename C::const_reference i ) { return boost::regex{i}; } );
33 }
gaudirun.c
c
Definition: gaudirun.py:487
std::end
T end(T... args)
std::begin
T begin(T... args)
std::back_inserter
T back_inserter(T... args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:25
std::transform
T transform(T... args)
std::vector::reserve
T reserve(T... args)

## Member Function Documentation

## ◆ And()

bool Gaudi::Utils::RegEx::matchList::And | ( | const std::string & | test | ) | const
| inline

Definition at line 39 of file RegEx.h.

39 {
40 return std::all_of( std::begin( m_regs ), std::end( m_regs ),
41 [&]( const boost::regex& r ) { return boost::regex_match( test, r ); } );
42 }
std::end
T end(T... args)
compareRootHistos.test
string test
Definition: compareRootHistos.py:15
std::begin
T begin(T... args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:25
std::all_of
T all_of(T... args)

## ◆ Or()

bool Gaudi::Utils::RegEx::matchList::Or | ( | const std::string & | test | ) | const
| inline

Definition at line 35 of file RegEx.h.

35 {
36 return std::any_of( std::begin( m_regs ), std::end( m_regs ),
37 [&]( const boost::regex& r ) { return boost::regex_match( test, r ); } );
38 }
std::end
T end(T... args)
compareRootHistos.test
string test
Definition: compareRootHistos.py:15
std::begin
T begin(T... args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:25
std::any_of
T any_of(T... args)

## Member Data Documentation

## ◆ m_regs

std::vector<boost::regex> Gaudi::Utils::RegEx::matchList::m_regs
| private

Definition at line 25 of file RegEx.h.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/RegEx.h